import { z } from 'zod';
export declare const GetSessionHistorySearchResponseV2: z.ZodObject<{
    data: z.ZodArray<z.ZodObject<{
        _id: z.ZodString;
        created_at: z.ZodString;
        game_mode: z.ZodString;
        joinable: z.ZodBoolean;
        joining: z.ZodArray<z.ZodObject<{
            Date: z.ZodString;
            State: z.ZodString;
            UserID: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            Date: string;
            UserID: string;
            State: string;
        }, {
            Date: string;
            UserID: string;
            State: string;
        }>, "many">;
        match_id: z.ZodString;
        namespace: z.ZodString;
        players: z.ZodArray<z.ZodObject<{
            Action: z.ZodString;
            Date: z.ZodString;
            UserID: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            Action: string;
            Date: string;
            UserID: string;
        }, {
            Action: string;
            Date: string;
            UserID: string;
        }>, "many">;
        removed_reason: z.ZodString;
        session_type: z.ZodString;
        status: z.ZodString;
        sub_game_mode: z.ZodArray<z.ZodString, "many">;
        user_id: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        user_id: string;
        status: string;
        namespace: string;
        session_type: string;
        created_at: string;
        game_mode: string;
        joinable: boolean;
        match_id: string;
        sub_game_mode: string[];
        players: {
            Action: string;
            Date: string;
            UserID: string;
        }[];
        _id: string;
        joining: {
            Date: string;
            UserID: string;
            State: string;
        }[];
        removed_reason: string;
    }, {
        user_id: string;
        status: string;
        namespace: string;
        session_type: string;
        created_at: string;
        game_mode: string;
        joinable: boolean;
        match_id: string;
        sub_game_mode: string[];
        players: {
            Action: string;
            Date: string;
            UserID: string;
        }[];
        _id: string;
        joining: {
            Date: string;
            UserID: string;
            State: string;
        }[];
        removed_reason: string;
    }>, "many">;
    pagination: z.ZodObject<{
        first: z.ZodString;
        last: z.ZodString;
        next: z.ZodString;
        previous: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        next: string;
        previous: string;
        first: string;
        last: string;
    }, {
        next: string;
        previous: string;
        first: string;
        last: string;
    }>;
}, "strip", z.ZodTypeAny, {
    data: {
        user_id: string;
        status: string;
        namespace: string;
        session_type: string;
        created_at: string;
        game_mode: string;
        joinable: boolean;
        match_id: string;
        sub_game_mode: string[];
        players: {
            Action: string;
            Date: string;
            UserID: string;
        }[];
        _id: string;
        joining: {
            Date: string;
            UserID: string;
            State: string;
        }[];
        removed_reason: string;
    }[];
    pagination: {
        next: string;
        previous: string;
        first: string;
        last: string;
    };
}, {
    data: {
        user_id: string;
        status: string;
        namespace: string;
        session_type: string;
        created_at: string;
        game_mode: string;
        joinable: boolean;
        match_id: string;
        sub_game_mode: string[];
        players: {
            Action: string;
            Date: string;
            UserID: string;
        }[];
        _id: string;
        joining: {
            Date: string;
            UserID: string;
            State: string;
        }[];
        removed_reason: string;
    }[];
    pagination: {
        next: string;
        previous: string;
        first: string;
        last: string;
    };
}>;
export interface GetSessionHistorySearchResponseV2 extends z.TypeOf<typeof GetSessionHistorySearchResponseV2> {
}
