import { z } from 'zod';
export declare const MatchMaking: z.ZodObject<{
    channel: z.ZodString;
    client_version: z.ZodString;
    created_at: z.ZodString;
    deployment: z.ZodString;
    event: z.ZodString;
    game_mode: z.ZodString;
    joinable: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
    match_id: z.ZodString;
    matching_allies: z.ZodArray<z.ZodObject<{
        matching_parties: z.ZodArray<z.ZodObject<{
            match_attributes: z.ZodObject<{
                first_ticket_created_at: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                first_ticket_created_at: number;
            }, {
                first_ticket_created_at: number;
            }>;
            party_attributes: z.ZodRecord<z.ZodString, z.ZodAny>;
            party_id: z.ZodString;
            party_members: z.ZodArray<z.ZodObject<{
                extra_attributes: z.ZodRecord<z.ZodString, z.ZodAny>;
                user_id: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                user_id: string;
                extra_attributes: Record<string, any>;
            }, {
                user_id: string;
                extra_attributes: Record<string, any>;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            match_attributes: {
                first_ticket_created_at: number;
            };
            party_attributes: Record<string, any>;
            party_id: string;
            party_members: {
                user_id: string;
                extra_attributes: Record<string, any>;
            }[];
        }, {
            match_attributes: {
                first_ticket_created_at: number;
            };
            party_attributes: Record<string, any>;
            party_id: string;
            party_members: {
                user_id: string;
                extra_attributes: Record<string, any>;
            }[];
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        matching_parties: {
            match_attributes: {
                first_ticket_created_at: number;
            };
            party_attributes: Record<string, any>;
            party_id: string;
            party_members: {
                user_id: string;
                extra_attributes: Record<string, any>;
            }[];
        }[];
    }, {
        matching_parties: {
            match_attributes: {
                first_ticket_created_at: number;
            };
            party_attributes: Record<string, any>;
            party_id: string;
            party_members: {
                user_id: string;
                extra_attributes: Record<string, any>;
            }[];
        }[];
    }>, "many">;
    namespace: z.ZodString;
    party_attributes: z.ZodRecord<z.ZodString, z.ZodAny>;
    party_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    queued_at: z.ZodNumber;
    region: z.ZodString;
    server_name: z.ZodString;
    status: z.ZodString;
    sub_game_mode: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    party_id?: string | null | undefined;
    joinable?: boolean | null | undefined;
    status: string;
    namespace: string;
    created_at: string;
    party_attributes: Record<string, any>;
    channel: string;
    client_version: string;
    deployment: string;
    event: string;
    game_mode: string;
    match_id: string;
    matching_allies: {
        matching_parties: {
            match_attributes: {
                first_ticket_created_at: number;
            };
            party_attributes: Record<string, any>;
            party_id: string;
            party_members: {
                user_id: string;
                extra_attributes: Record<string, any>;
            }[];
        }[];
    }[];
    queued_at: number;
    region: string;
    server_name: string;
    sub_game_mode: string[];
}, {
    party_id?: string | null | undefined;
    joinable?: boolean | null | undefined;
    status: string;
    namespace: string;
    created_at: string;
    party_attributes: Record<string, any>;
    channel: string;
    client_version: string;
    deployment: string;
    event: string;
    game_mode: string;
    match_id: string;
    matching_allies: {
        matching_parties: {
            match_attributes: {
                first_ticket_created_at: number;
            };
            party_attributes: Record<string, any>;
            party_id: string;
            party_members: {
                user_id: string;
                extra_attributes: Record<string, any>;
            }[];
        }[];
    }[];
    queued_at: number;
    region: string;
    server_name: string;
    sub_game_mode: string[];
}>;
export interface MatchMaking extends z.TypeOf<typeof MatchMaking> {
}
